[SciPy-user] Problems installing scipy with activepython 2.4

Robert Kern rkern at ucsd.edu
Fri Jun 10 08:33:24 CDT 2005


Howey, David A wrote:
> Thanks - now sorted with python 2.3
> 
> However, a further problem... When I run "from scipy import *"
> activepython crashes with the result 'the instruction "0x6d3caed9"
> referenced memory at "0x00000030". The memory could not be "read".'
> 
> This is indeed a weird one. I hope it's a software rather than hardware
> (bad memory) problem.

The binaries have been compiled against the standard python.org 
distribution of the interpreter. It is possible that extensions compiled 
for the one don't necessarily work on the other, but I'm not sure. The 
Scipy binaries are compiled using mingw, which I have heard is not 
necessarily compatible with the latest Microsoft compilers. ActivePython 
might be built with such a compiler.

This is just speculation, of course, and I welcome correction from 
people who use that platform.

-- 
Robert Kern
rkern at ucsd.edu

"In the fields of hell where the grass grows high
  Are the graves of dreams allowed to die."
   -- Richard Harter



More information about the SciPy-user mailing list